stream_iterators.hpp File Reference

## Classes

struct | ranges::make_ostream_joiner_fn
struct | ranges::ostream_iterator< T, Char, Traits >
struct | ranges::ostream_joiner< Delim, Char, Traits >
struct | ranges::ostreambuf_iterator< Char, Traits >
class | ranges::unformatted_ostream_iterator< CharT, Traits >
| Writes to an ostream object using the unformatted `std::basic_ostream::write` operation. This means that `32` will be encoded as `100000` as opposed to the string "32". More...

## Typedefs

template<typename T , typename Char = char, typename Traits = std::char_traits<Char>>
using | ranges::cpp20::ostream_iterator = ranges::ostream_iterator< T, Char, Traits >

## Variables

constexpr make_ostream_joiner_fn | ranges::make_ostream_joiner {}